Subject: Re: bug#15577: 24.3; dir-local variables not applied when switching major-mode

From: "Phil Sainty" <[email-masked]>
Date: Tue, 22 Oct 2013 10:58:37 +1300 (NZDT)

>> I prefer the way you're going,
>
> Just to clarify, in case there was some confusion: I'm not actually
> working on any of that.  I'm just giving guidance for someone who
> wants to write a patch.

That comment may have been directed at me (and I do indeed intend
to provide a patch).

I need to rework some code to make the major mode variable detection
more generally-available, as my existing solution to avoid applying a major
mode local variable depends on hack-local-variables being called, but
that doesn't happen in all cases.

I think it's looking promising, though.

-Phil